Bug 1142595 - yast2.rpm dependency on hostname is missing
yast2.rpm dependency on hostname is missing
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Imobach Gonzalez Sosa
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 08:36 UTC by Imobach Gonzalez Sosa
Modified: 2023-01-24 16:01 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Imobach Gonzalez Sosa 2019-07-24 08:36:54 UTC
/usr/bin/hostname is used by the Hostname module but the dependency is missing, we might take to https://openqa.opensuse.org/tests/988494#step/installation/30.
Comment 1 Imobach Gonzalez Sosa 2019-07-31 08:51:49 UTC
Fixed with https://github.com/yast/yast-yast2/pull/951 and https://github.com/yast/yast-network/pull/906. The first PR should be enough but, to be honest, the yast2-network module relies on /bin/hostname directly so, strictly speaking, the dependency should be there.